Difference between revisions of "Building WRF-SFIRE on Ubuntu 18-04"

From Open Wildland Fire Modeling E community Wiki
Jump to: navigation, search
(Created page with "On my vm ubuntu 18.04 I did apt install curl apt install g++ apt-get install gfortran apt-get install libnetcdff-dev ncl-ncarg libhdf5-dev apt install libgeotiff-dev li...")
 
(No difference)

Latest revision as of 23:22, 29 November 2019

On my vm ubuntu 18.04 I did

apt install curl

apt install g++

apt-get install gfortran

apt-get install libnetcdff-dev ncl-ncarg libhdf5-dev

apt install libgeotiff-dev libgeotiff-epsg

apt install gdal-bin

apt install m4

apt-get install geotiff-bin

apt install libpng-dev

Amazingly whatever the latest version was that got pulled worked fine. The only library I had to build from source was https://github.com/mdadams/jasper.git since jasper is not available by apt. I also had to manually git checkout jasper version 1.9.1